security:
  auth:
    auth-require-url: /api/v1/user/auth/auth-require
    invalid-session-url: /api/v1/user/auth/invalid-session
    password-login-url: /api/v1/user/auth/login
    agent-login-url: /api/v1/user/auth/agent-login
    logout-url: /api/v1/user/auth/logout
    common-login-url: /api/v1/user/auth/common-login
    ignore-auth-urls:
      - /v2/api-docs
      - /swagger-ui.html
      - /webjars/**
      - /swagger-resources/**
      - /webjars/
      - /api/v1/user/auth/register
      - /api/v1/user/auth/auth-require
      - /api/v1/user/auth/invalid-session
      - /api/v1/user/auth/login/password
      - /api/v1/user/auth/forget-password
      - /api/v1/user/auth/common-login
      - /doc.html
      - /ok.html
      - /open/api/**
      - /oa/**
      - /wflow/**
      - /sys/**
      - /api/v1/verification/**
      - /api/v1/expert/registration
      - /api/v1/meta/dictionary/list
      - /api/v1/meta/tag
      - /api/v1/organization/tree-list
      - /api/v1/organization/get-child-list
      - /api/v1/region/tree
    ignore-csrf-urls:
      - /api/v1/user/auth/**
      - /v2/api-docs
      - /swagger-ui.html
      - /webjars/**
      - /swagger-resources/**
      - /webjars/
      - /doc.html
      - /ok.html
      - /api/v1/**
      - /file/**
      - /optLog/**
      - /dict/**
      - /oa/**
      - /wflow/**
      - /sys/**
      - /api/v1/verification/**
      - /api/v1/expert/registration
      - /api/v1/meta/dictionary/list
      - /api/v1/meta/tag
      - /api/v1/organization/tree-list
      - /api/v1/organization/get-child-list
      - /api/v1/region/tree
    role-map:
      "engineer":
      "project_manager":
        - /api/v1/user-info/kick-off/**
      "enterprise_admin":
      "regional_general_manager":
      "driver":
      "super_admin":
        - /api/v1/user-info/save
        - /api/v1/user-info/del
        - /api/v1/user-info/kick-off/**
        - /api/v1/user-info/password/mod